
        .section .text

	.global .__memoryConfigStart
        .global .__memoryConfigDone

__memoryConfigStart:

        adrl	r0,InitialConfig
        ldmia	r0,{r1-r12}
        ldr	r0, =0x3ff3010
        stmia   r0,{r1-r12}
        
        nop
__memoryConfigDone:        
        nop
        
InitialConfig:
        .word (1<<20)+(1<<22)+(1<<24)+(2<<26)+(3<<12)+(2<<4)+2    @ ROM0=16;ROM2=16;DRAM0=32;EXT0,1,2=8 EXT3=16bits
        .word (0x200<<20)+(0x100<<10)+(4<<4)  @ ROM0 (Flash) 100-200
        .word 0           @ ROM1 disabled 
        .word 0           @ ROM2 disabled
        .word 0           @ ROM3 disabled 
        .word 0           @ ROM4 disabled 
        .word 0           @ ROM5 disabled 
        .word (3<<30)+(0x000<<10)+(0x100<<20)+(1<<8) @ DRAM0 0-100
        .word 0           @ DRAM1 disabled 
        .word 0           @ DRAM2 disabled 
        .word 0           @ DRAM3 disabled 
        .word (0x600<<21)+(1<<20)+(2<<17)+(1<<16)+(1<<15)+0x360  @ I/O at 360;
        

