
#ifndef IDENT_H
#define IDENT_H

typedef struct
{
  unsigned long   modelId;
  unsigned short  programId;
  unsigned char   archId;
  unsigned long   boardRev;
  unsigned char   numPorts;
  unsigned char   versionMajor;
  unsigned char   versionMinor;
  unsigned long   ipAddr;
  unsigned long   netMask;
  unsigned long   gateway;
  unsigned char   macAddr[6];
  unsigned char   password[16];
  unsigned char   authMethod;
  unsigned char   telnetEnable;
  unsigned char   timeoutValue;
  unsigned long   telnetTimeout;
} tIdent;

extern tIdent ident;

#endif
